## kde-cdemu-dmo 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)
project(kde_cdemu)

set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 14)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

kde_enable_exceptions()

find_package(KF5 REQUIRED COMPONENTS ConfigWidgets DBusAddons I18n Notifications XmlGui)
find_package(Qt5 REQUIRED COMPONENTS Core Widgets)

set(KDE_CDEMU_VERSION "0.8.0")

add_subdirectory(src)
add_subdirectory(po)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname kde_cdemu)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
include_directories(${PROJECT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

configure_file(kdecdemuversion.h.in ${PROJECT_BINARY_DIR}/kdecdemuversion.h)

set(kde_cdemu_SRCS
    cdemu.cpp
    devicelistitem.cpp
    exception.cpp
    main.cpp
    mainwindow.cpp
    messagebox.cpp
)

ki18n_wrap_ui(kde_cdemu_SRCS mainwindow.ui)
add_executable(kde_cdemu ${kde_cdemu_SRCS})

target_link_libraries(kde_cdemu
    KF5::ConfigWidgets
    KF5::DBusAddons
    KF5::I18n
    KF5::Notifications
    KF5::XmlGui
    Qt5::Core
    Qt5::Widgets
)

install(TARGETS kde_cdemu DESTINATION ${BIN_INSTALL_DIR})
install(FILES kde_cdemu_mount.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)
install(FILES org.kde.kde_cdemu.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
kde-cdemu-dmo (0.8.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Apr 2022 08:28:23 +0200

=== debian/control ===
Source: kde-cdemu-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://sourceforge.net/projects/kde-cdemu-manager/
Rules-Requires-Root: no
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules, ninja-build,
 libkf5configwidgets-dev, libkf5dbusaddons-dev, libkf5notifications-dev,
 libkf5xmlgui-dev, libkf5i18n-dev, pkg-kde-tools,

Package: kde-cdemu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdemu-daemon (>= 3.2.0)
Recommends: gcdemu (>= 3.0.0)
Description: KDE CDEmu manager.
 It provides a small manager window that gives you an overview of your
 virtual drives and allows you to mount and unmount images.
 .
 It also includes a service menu for mounting images directly from
 Dolphin/Konqueror.
 .
 Images can be unmounted like any other media through Dolphin or the Device
 Notifier.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Skf5+ninja --with kf5

=== debian/watch ===
version=4

http://sf.net/kde-cdemu/ kde-cdemu-(.*)@ARCHIVE_EXT@
